//Source file: AdminRelatedDeleteMessageListener.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * This interface is to be implemented for receiving events issued by the DeleteMessage activity object.<BR>
 *
 */
public interface AdminRelatedDeleteMessageListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the adminRelatedDeleteMessageErr() method on
     * the callback interface.
     *
     * @param  adminRelatedDeleteMessageErrEvent  Reference to a AdminRelatedDeleteMessageErrEvent event
     *        emmited from the impl or activity object.
     */
    void onAdminRelatedDeleteMessageErrEvent(org.csapi.jr.se.ui.AdminRelatedDeleteMessageErrEvent adminRelatedDeleteMessageErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the adminRelatedDeleteMessageRes() method on
     * the callback interface.
     *
     * @param  adminRelatedDeleteMessageResEvent  Reference to a AdminRelatedDeleteMessageResEvent event
     *        emmited from the impl or activity object.
     */
    void onAdminRelatedDeleteMessageResEvent(org.csapi.jr.se.ui.AdminRelatedDeleteMessageResEvent adminRelatedDeleteMessageResEvent);
    

}
