//Source file: AdminRelatedGetMessageList.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * This interface represents a AdminRelatedGetMessageList activity object.<BR>
 *
 */
public interface AdminRelatedGetMessageList extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UIAdminManager responsible for creation of the AdminRelatedGetMessageList.
     *
     * @return  A reference to the UIAdminManager responsible for creation of the AdminRelatedGetMessageList.
     */
    org.csapi.jr.se.ui.UIAdminManager getUIAdminManager();

    /**
     * Adds a AdminRelatedGetMessageListListener which is interested in events generated by the AdminRelatedGetMessageList.
     *
     * @param  adminRelatedGetMessageListListener  A reference to the AdminRelatedGetMessageListListener which is to be added as
     *        a listener.
     */
    void addAdminRelatedGetMessageListListener(org.csapi.jr.se.ui.AdminRelatedGetMessageListListener adminRelatedGetMessageListListener);

    /**
     * Removes a AdminRelatedGetMessageListListener which is no longer interested events generated by the AdminRelatedGetMessageList.
     *
     * @param  adminRelatedGetMessageListListener  A reference to the AdminRelatedGetMessageListListener which is to be removed as
     *        a listener.
     */
    void removeAdminRelatedGetMessageListListener(org.csapi.jr.se.ui.AdminRelatedGetMessageListListener adminRelatedGetMessageListListener);

    /**
     * Invokes the getMessageListReq() method on the Parlay Gateway.
     */
    void getMessageListReq(
           boolean                         reset)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException;
}
