//Source file: AdminRelatedGetMessageListListener.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * This interface is to be implemented for receiving events issued by the GetMessageList activity object.<BR>
 *
 */
public interface AdminRelatedGetMessageListListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the adminRelatedGetMessageListErr() method on
     * the callback interface.
     *
     * @param  adminRelatedGetMessageListErrEvent  Reference to a AdminRelatedGetMessageListErrEvent event
     *        emmited from the impl or activity object.
     */
    void onAdminRelatedGetMessageListErrEvent(org.csapi.jr.se.ui.AdminRelatedGetMessageListErrEvent adminRelatedGetMessageListErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the adminRelatedGetMessageListRes() method on
     * the callback interface.
     *
     * @param  adminRelatedGetMessageListResEvent  Reference to a AdminRelatedGetMessageListResEvent event
     *        emmited from the impl or activity object.
     */
    void onAdminRelatedGetMessageListResEvent(org.csapi.jr.se.ui.AdminRelatedGetMessageListResEvent adminRelatedGetMessageListResEvent);
    

}
