//Source file: AdminRelatedGetMessageResEvent.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getMessageRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class AdminRelatedGetMessageResEvent extends java.util.EventObject {

    /**
     * Constructor for the AdminRelatedGetMessageResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public AdminRelatedGetMessageResEvent(java.lang.Object source,
        org.csapi.jr.se.ui.UIInfo message) {

        super(source);
      this.message = message;
 
    }

    org.csapi.jr.se.ui.UIInfo message;

    /**
     *  This method is used to retrieve the parameter value of 'message' passed up
     *  from the Gateway in it's call to the getMessageRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'message' used on creation of this event.
     */
    public org.csapi.jr.se.ui.UIInfo getMessage() {

        return this.message;
    }
       
}

