//Source file: AdminRelatedPutMessageListener.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * This interface is to be implemented for receiving events issued by the PutMessage activity object.<BR>
 *
 */
public interface AdminRelatedPutMessageListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the adminRelatedPutMessageErr() method on
     * the callback interface.
     *
     * @param  adminRelatedPutMessageErrEvent  Reference to a AdminRelatedPutMessageErrEvent event
     *        emmited from the impl or activity object.
     */
    void onAdminRelatedPutMessageErrEvent(org.csapi.jr.se.ui.AdminRelatedPutMessageErrEvent adminRelatedPutMessageErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the adminRelatedPutMessageRes() method on
     * the callback interface.
     *
     * @param  adminRelatedPutMessageResEvent  Reference to a AdminRelatedPutMessageResEvent event
     *        emmited from the impl or activity object.
     */
    void onAdminRelatedPutMessageResEvent(org.csapi.jr.se.ui.AdminRelatedPutMessageResEvent adminRelatedPutMessageResEvent);
    
    
}
