//Source file: AdminRelatedPutMessageResEvent.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the putMessageRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class AdminRelatedPutMessageResEvent extends java.util.EventObject {

    /**
     * Constructor for the AdminRelatedPutMessageResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public AdminRelatedPutMessageResEvent(java.lang.Object source,
        int                             messageID) {

        super(source);
      this.messageID = messageID;
 
    }

    int                             messageID;

    /**
     *  This method is used to retrieve the parameter value of 'messageID' passed up
     *  from the Gateway in it's call to the putMessageRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'messageID' used on creation of this event.
     */
    public int getMessageID() {

        return this.messageID;
    }
       
}

