//Source file: DeleteMessage.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * This interface represents a DeleteMessage activity object.<BR>
 *
 */
public interface DeleteMessage extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UICall responsible for creation of the DeleteMessage.
     *
     * @return  A reference to the UICall responsible for creation of the DeleteMessage.
     */
    org.csapi.jr.se.ui.UICall getUICall();

    /**
     * Adds a DeleteMessageListener which is interested in events generated by the DeleteMessage.
     *
     * @param  deleteMessageListener  A reference to the DeleteMessageListener which is to be added as
     *        a listener.
     */
    void addDeleteMessageListener(org.csapi.jr.se.ui.DeleteMessageListener deleteMessageListener);

    /**
     * Removes a DeleteMessageListener which is no longer interested events generated by the DeleteMessage.
     *
     * @param  deleteMessageListener  A reference to the DeleteMessageListener which is to be removed as
     *        a listener.
     */
    void removeDeleteMessageListener(org.csapi.jr.se.ui.DeleteMessageListener deleteMessageListener);

    /**
     * Invokes the deleteMessageReq() method on the Parlay Gateway.
     */
    void deleteMessageReq(
           int                             messageID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.ui.IllegalIdException;

    /**
     * Invokes the abortActionReq() method on the Parlay Gateway.
     */
    void abortActionReq()
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException;
}
