//Source file: DeleteMessageListener.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * This interface is to be implemented for receiving events issued by the DeleteMessage activity object.<BR>
 *
 */
public interface DeleteMessageListener extends java.util.EventListener {

    /**
     * Invoked when the request to delete a message was successful.
     *
     * @param  deleteMessageResEvent  Reference to a DeleteMessageResEvent event
     *      emitted from the activity object.
     */
     void onDeleteMessageResEvent(org.csapi.jr.se.ui.DeleteMessageResEvent deleteMessageResEvent);


    /**
     * Invoked when the request to delete a message was unsuccessful.
     *
     * @param  deleteMessageErrEvent  Reference to a DeleteMessageErrEvent event
     *      emitted from the activity object.
     */
     void onDeleteMessageErrEvent(org.csapi.jr.se.ui.DeleteMessageErrEvent deleteMessageErrEvent);


    /**
     * Invoked when the request to abort a user interaction operation on a
     * call/call leg was successful.
     *
     * @param  abortActionResEvent  Reference to an AbortActionResEvent event emitted
     *      from the activity object.
     */
     void onAbortActionResEvent(org.csapi.jr.se.ui.AbortActionResEvent abortActionResEvent);


    /**
     * Invoked when the request to abort a user interaction operation on a
     * call/call leg was unsuccessful.
     *
     * @param  abortActionErrEvent  Reference to an AbortActionErrEvent event emitted
     *      from the activity object.
     */
     void onAbortActionErrEvent(org.csapi.jr.se.ui.AbortActionErrEvent abortActionErrEvent);

}
