//Source file: GetMessageErrEvent.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getMessageErr() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class GetMessageErrEvent extends java.util.EventObject {

    /**
     * Constructor for the GetMessageErrEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public GetMessageErrEvent(java.lang.Object source,
        org.csapi.jr.se.ui.UIError error) {

        super(source);
      this.error = error;
 
    }

    org.csapi.jr.se.ui.UIError error;

    /**
     *  This method is used to retrieve the parameter value of 'error' passed up
     *  from the Gateway in it's call to the getMessageErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'error' used on creation of this event.
     */
    public org.csapi.jr.se.ui.UIError getError() {

        return this.error;
    }
       
}

