//Source file: GetMessageListener.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * This interface is to be implemented for receiving events issued by the GetMessage activity object.<BR>
 *
 */
public interface GetMessageListener extends java.util.EventListener {

    /**
     * Invoked when the request to get a message was successful.
     *
     * @param  getMessageResEvent  Reference to a GetMessageResEvent event
     *      emitted from the activity object.
     */
     void onGetMessageResEvent(org.csapi.jr.se.ui.GetMessageResEvent getMessageResEvent);


    /**
     * Invoked when the request to get a message was unsuccessful.
     *
     * @param  getMessageErrEvent  Reference to a GetMessageErrEvent event
     *      emitted from the activity object.
     */
     void onGetMessageErrEvent(org.csapi.jr.se.ui.GetMessageErrEvent getMessageErrEvent);


    /**
     * Invoked when the request to abort a user interaction operation on a
     * call/call leg was successful.
     *
     * @param  abortActionResEvent  Reference to an AbortActionResEvent event emitted
     *      from the activity object.
     */
     void onAbortActionResEvent(org.csapi.jr.se.ui.AbortActionResEvent abortActionResEvent);


    /**
     * Invoked when the request to abort a user interaction operation on a
     * call/call leg was unsuccessful.
     *
     * @param  abortActionErrEvent  Reference to an AbortActionErrEvent event emitted
     *      from the activity object.
     */
     void onAbortActionErrEvent(org.csapi.jr.se.ui.AbortActionErrEvent abortActionErrEvent);

}
