//Source file: RecordMessage.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * This interface represents a RecordMessage activity object.<BR>
 *
 */
public interface RecordMessage extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UICall responsible for creation of the RecordMessage.
     *
     * @return  A reference to the UICall responsible for creation of the RecordMessage.
     */
    org.csapi.jr.se.ui.UICall getUICall();

    /**
     * Adds a RecordMessageListener which is interested in events generated by the RecordMessage.
     *
     * @param  recordMessageListener  A reference to the RecordMessageListener which is to be added as
     *        a listener.
     */
    void addRecordMessageListener(org.csapi.jr.se.ui.RecordMessageListener recordMessageListener);

    /**
     * Removes a RecordMessageListener which is no longer interested events generated by the RecordMessage.
     *
     * @param  recordMessageListener  A reference to the RecordMessageListener which is to be removed as
     *        a listener.
     */
    void removeRecordMessageListener(org.csapi.jr.se.ui.RecordMessageListener recordMessageListener);

    /**
     * Invokes the recordMessageReq() method on the Parlay Gateway.
     */
    void recordMessageReq(
           org.csapi.jr.se.ui.UIInfo info,
           org.csapi.jr.se.ui.UIMessageCriteria criteria)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException,
       org.csapi.jr.se.ui.IllegalIdException,
       org.csapi.jr.se.InvalidCriteriaException;

    /**
     * Invokes the abortActionReq() method on the Parlay Gateway.
     */
    void abortActionReq()
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException;
}
