//Source file: SendInfoAndCollect.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * This interface represents a SendInfoAndCollect activity object.<BR>
 *
 */
public interface SendInfoAndCollect extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UIGeneric responsible for creation of the SendInfoAndCollect.
     *
     * @return  A reference to the UIGeneric responsible for creation of the SendInfoAndCollect.
     */
    org.csapi.jr.se.ui.UIGeneric getUIGeneric();

    /**
     * Adds a SendInfoAndCollectListener which is interested in events generated by the SendInfoAndCollect.
     *
     * @param  sendInfoAndCollectListener  A reference to the SendInfoAndCollectListener which is to be added as
     *        a listener.
     */
    void addSendInfoAndCollectListener(org.csapi.jr.se.ui.SendInfoAndCollectListener sendInfoAndCollectListener);

    /**
     * Removes a SendInfoAndCollectListener which is no longer interested events generated by the SendInfoAndCollect.
     *
     * @param  sendInfoAndCollectListener  A reference to the SendInfoAndCollectListener which is to be removed as
     *        a listener.
     */
    void removeSendInfoAndCollectListener(org.csapi.jr.se.ui.SendInfoAndCollectListener sendInfoAndCollectListener);

    /**
     * Invokes the sendInfoAndCollectReq() method on the Parlay Gateway.
     */
    void sendInfoAndCollectReq(
           org.csapi.jr.se.ui.UIInfo info,
           java.lang.String                language,
           org.csapi.jr.se.ui.UIVariableInfo[] variableInfo,
           org.csapi.jr.se.ui.UICollectCriteria criteria,
           int                             responseRequested)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException,
       org.csapi.jr.se.ui.IllegalIdException,
       org.csapi.jr.se.ui.IllegalRangeException,
       org.csapi.jr.se.ui.InvalidCollectionCriteriaException;
}
