//Source file: SendInfoAndCollectListener.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * This interface is to be implemented for receiving events issued by the SendInfoAndCollect activity object.<BR>
 *
 */
public interface SendInfoAndCollectListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the sendInfoAndCollectErr() method on
     * the callback interface.
     *
     * @param  sendInfoAndCollectErrEvent  Reference to a SendInfoAndCollectErrEvent event
     *        emmited from the impl or activity object.
     */
    void onSendInfoAndCollectErrEvent(org.csapi.jr.se.ui.SendInfoAndCollectErrEvent sendInfoAndCollectErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the sendInfoAndCollectRes() method on
     * the callback interface.
     *
     * @param  sendInfoAndCollectResEvent  Reference to a SendInfoAndCollectResEvent event
     *        emmited from the impl or activity object.
     */
    void onSendInfoAndCollectResEvent(org.csapi.jr.se.ui.SendInfoAndCollectResEvent sendInfoAndCollectResEvent);
    

}
