//Source file: SendInfoAndCollectResEvent.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the sendInfoAndCollectRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class SendInfoAndCollectResEvent extends java.util.EventObject {

    /**
     * Constructor for the SendInfoAndCollectResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public SendInfoAndCollectResEvent(java.lang.Object source,
        org.csapi.jr.se.ui.UIReport response,
        java.lang.String                collectedInfo) {

        super(source);
      this.response = response;
      this.collectedInfo = collectedInfo;
 
    }

    org.csapi.jr.se.ui.UIReport response;

    /**
     *  This method is used to retrieve the parameter value of 'response' passed up
     *  from the Gateway in it's call to the sendInfoAndCollectRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'response' used on creation of this event.
     */
    public org.csapi.jr.se.ui.UIReport getResponse() {

        return this.response;
    }
       
    java.lang.String                collectedInfo;

    /**
     *  This method is used to retrieve the parameter value of 'collectedInfo' passed up
     *  from the Gateway in it's call to the sendInfoAndCollectRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'collectedInfo' used on creation of this event.
     */
    public java.lang.String getCollectedInfo() {

        return this.collectedInfo;
    }
       
}

