//Source file: SendInfoListener.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * This interface is to be implemented for receiving events issued by the SendInfo activity object.<BR>
 *
 */
public interface SendInfoListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the sendInfoErr() method on
     * the callback interface.
     *
     * @param  sendInfoErrEvent  Reference to a SendInfoErrEvent event
     *        emmited from the impl or activity object.
     */
    void onSendInfoErrEvent(org.csapi.jr.se.ui.SendInfoErrEvent sendInfoErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the sendInfoRes() method on
     * the callback interface.
     *
     * @param  sendInfoResEvent  Reference to a SendInfoResEvent event
     *        emmited from the impl or activity object.
     */
    void onSendInfoResEvent(org.csapi.jr.se.ui.SendInfoResEvent sendInfoResEvent);
    

}
