//Source file: UIEventNotificationInfo.java
//Date: June 2005
//User Interaction Data Types for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * Defines the Sequence of Data Elements that specify a UI event notification.
 * 
 */
public final class UIEventNotificationInfo implements java.io.Serializable {

    private org.csapi.jr.se.Address originatingAddress;
    private org.csapi.jr.se.Address destinationAddress;
    private String serviceCode;
    private org.csapi.jr.se.ui.UIEventInfoDataType dataTypeIndication;
    private byte[] uIEventData;

    /**
     * Creates a new UIEventNotificationInfo instance.
     */
    public UIEventNotificationInfo () {}

    /**
     * Creates a new UIEventNotificationInfo instance.
     * @param _originatingAddress   
     * @param _destinationAddress   
     * @param _serviceCode   
     * @param _dataTypeIndication   
     * @param _uIEventData   Freely defined data according to the network policy. 
e.g  7 bit USSD encoded
     */
    public UIEventNotificationInfo (org.csapi.jr.se.Address _originatingAddress, org.csapi.jr.se.Address _destinationAddress, String _serviceCode, org.csapi.jr.se.ui.UIEventInfoDataType _dataTypeIndication, byte[] _uIEventData) {

        this.originatingAddress = _originatingAddress;
        this.destinationAddress = _destinationAddress;
        this.serviceCode = _serviceCode;
        this.dataTypeIndication = _dataTypeIndication;
        this.uIEventData = _uIEventData;
    }

    /**
     * This method returns a originatingAddress.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getOriginatingAddress() {
        return originatingAddress;
    }

    /**
     * This method returns a destinationAddress.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getDestinationAddress() {
        return destinationAddress;
    }

    /**
     * This method returns a serviceCode.
     * 
     * @return a String value
     */
    public String getServiceCode() {
        return serviceCode;
    }

    /**
     * This method returns a dataTypeIndication.
     * 
     * @return a org.csapi.jr.se.ui.UIEventInfoDataType value
     */
    public org.csapi.jr.se.ui.UIEventInfoDataType getDataTypeIndication() {
        return dataTypeIndication;
    }

    /**
     * This method returns a uIEventData.
     * 
     * @return a byte[] value
     */
    public byte[] getUIEventData() {
        return uIEventData;
    }


    /**
     * This method sets a originatingAddress.
     */ 
    public void setOriginatingAddress(org.csapi.jr.se.Address originatingAddress) {
        this.originatingAddress = originatingAddress;
    }

    /**
     * This method sets a destinationAddress.
     */ 
    public void setDestinationAddress(org.csapi.jr.se.Address destinationAddress) {
        this.destinationAddress = destinationAddress;
    }

    /**
     * This method sets a serviceCode.
     */ 
    public void setServiceCode(String serviceCode) {
        this.serviceCode = serviceCode;
    }

    /**
     * This method sets a dataTypeIndication.
     */ 
    public void setDataTypeIndication(org.csapi.jr.se.ui.UIEventInfoDataType dataTypeIndication) {
        this.dataTypeIndication = dataTypeIndication;
    }

    /**
     * This method sets a uIEventData.
     */ 
    public void setUIEventData(byte[] uIEventData) {
        this.uIEventData = uIEventData;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof UIEventNotificationInfo)) {
            return false;
        } 
        UIEventNotificationInfo uIEventNotificationInfo = (UIEventNotificationInfo) o;
        if ((this.originatingAddress != null) && (uIEventNotificationInfo.originatingAddress != null)) {
            if(!(this.originatingAddress.equals(uIEventNotificationInfo.originatingAddress))) {
                return false;
            }
        }
        if ((this.destinationAddress != null) && (uIEventNotificationInfo.destinationAddress != null)) {
            if(!(this.destinationAddress.equals(uIEventNotificationInfo.destinationAddress))) {
                return false;
            }
        }
        if ((this.serviceCode != null) && (uIEventNotificationInfo.serviceCode != null)) {
            if(!(this.serviceCode.equals(uIEventNotificationInfo.serviceCode)))  {
                return false;
            }
        }
        if ((this.dataTypeIndication != null) && (uIEventNotificationInfo.dataTypeIndication != null)) {
            if(!(this.dataTypeIndication.equals(uIEventNotificationInfo.dataTypeIndication))) {
                return false;
            }
        }
        if(!(this.uIEventData == uIEventNotificationInfo.uIEventData))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // UIEventNotificationInfo

