//Source file: UIGeneric.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * A generic User Interaction, providing methods to send information to, or gather information from the
 * user. An application can use the Generic User Interaction Service Interface
 * independently of other services.
 */
public interface UIGeneric extends org.csapi.jr.se.ui.UI {

	/**
	 * Creates a SendInfo object and returns a reference to the interface used to
	 * gain access to it's methods.
	 *
	 * @return    The SendInfo interface.
	 */
	org.csapi.jr.se.ui.SendInfo createSendInfo();


	/**
	 * Creates a SendInfoAndCollect object and returns a reference to the
	 * interface used to gain access to it's methods.
	 *
	 * @return    The SendInfoAndCollect interface.
	 */
	org.csapi.jr.se.ui.SendInfoAndCollect createSendInfoAndCollect();

}
