//Source file: UIInfo.java
//Date: June 2005
//User Interaction Data Types for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * Defines the Tagged Choice of Data Elements that specify the information to send to the user.
 *
 */
public final class UIInfo implements java.io.Serializable {

    private UIInfoType _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new UIInfo.
     * Tagged choice of data elements always have empty constructors
     */ 
    public UIInfo() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a UIInfoType value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public UIInfoType getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a InfoID
     * 
     * @return  a int value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public int getInfoID() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != UIInfoType.UI_INFO_ID) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.Integer) _object).intValue());
    }

    /**
     * This method sets a InfoID
     * 
     * @param value a int value
     */
    public void setInfoID(int value) {
        _discriminator = UIInfoType.UI_INFO_ID;
        _object = new java.lang.Integer(value);
    }

    /**
     * This method returns a InfoData
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getInfoData() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != UIInfoType.UI_INFO_DATA) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a InfoData
     * 
     * @param value a java.lang.String value
     */
    public void setInfoData(java.lang.String value) {
        _discriminator = UIInfoType.UI_INFO_DATA;
        _object = value;
    }

    /**
     * This method returns a InfoAddress
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getInfoAddress() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != UIInfoType.UI_INFO_ADDRESS) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a InfoAddress
     * 
     * @param value a java.lang.String value
     */
    public void setInfoAddress(java.lang.String value) {
        _discriminator = UIInfoType.UI_INFO_ADDRESS;
        _object = value;
    }

    /**
     * This method returns a InfoBinData
     * 
     * @return  a byte[] value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public byte[] getInfoBinData() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != UIInfoType.UI_INFO_BIN_DATA) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((byte[]) _object);
    }

    /**
     * This method sets a InfoBinData
     * 
     * @param value a byte[] value
     */
    public void setInfoBinData(byte[] value) {
        _discriminator = UIInfoType.UI_INFO_BIN_DATA;
        _object = value;
    }

    /**
     * This method returns a InfoUUEncData
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getInfoUUEncData() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != UIInfoType.UI_INFO_UUENCODED) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a InfoUUEncData
     * 
     * @param value a java.lang.String value
     */
    public void setInfoUUEncData(java.lang.String value) {
        _discriminator = UIInfoType.UI_INFO_UUENCODED;
        _object = value;
    }

    /**
     * This method returns a InfoMimeData
     * 
     * @return  a byte[] value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public byte[] getInfoMimeData() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != UIInfoType.UI_INFO_MIME) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((byte[]) _object);
    }

    /**
     * This method sets a InfoMimeData
     * 
     * @param value a byte[] value
     */
    public void setInfoMimeData(byte[] value) {
        _discriminator = UIInfoType.UI_INFO_MIME;
        _object = value;
    }

    /**
     * This method returns a InfoWaveData
     * 
     * @return  a byte[] value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public byte[] getInfoWaveData() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != UIInfoType.UI_INFO_WAVE) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((byte[]) _object);
    }

    /**
     * This method sets a InfoWaveData
     * 
     * @param value a byte[] value
     */
    public void setInfoWaveData(byte[] value) {
        _discriminator = UIInfoType.UI_INFO_WAVE;
        _object = value;
    }

    /**
     * This method returns a InfoAuData
     * 
     * @return  a byte[] value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public byte[] getInfoAuData() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != UIInfoType.UI_INFO_AU) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((byte[]) _object);
    }

    /**
     * This method sets a InfoAuData
     * 
     * @param value a byte[] value
     */
    public void setInfoAuData(byte[] value) {
        _discriminator = UIInfoType.UI_INFO_AU;
        _object = value;
    }

    /**
     * This method returns a InfoVXMLData
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getInfoVXMLData() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != UIInfoType.UI_INFO_VXML) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a InfoVXMLData
     * 
     * @param value a java.lang.String value
     */
    public void setInfoVXMLData(java.lang.String value) {
        _discriminator = UIInfoType.UI_INFO_VXML;
        _object = value;
    }

    /**
     * This method returns a InfoSynthData
     * 
     * @return  a org.csapi.jr.se.ui.UISynthesisInfoData value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.ui.UISynthesisInfoData getInfoSynthData() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != UIInfoType.UI_INFO_SYNTHESIS) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.ui.UISynthesisInfoData) _object);
    }

    /**
     * This method sets a InfoSynthData
     * 
     * @param value a org.csapi.jr.se.ui.UISynthesisInfoData value
     */
    public void setInfoSynthData(org.csapi.jr.se.ui.UISynthesisInfoData value) {
        _discriminator = UIInfoType.UI_INFO_SYNTHESIS;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a UIInfoType value 
     */ 
    public void setUndefined(UIInfoType discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof UIInfo)) {
            return false;
        } else {
            UIInfo uIInfo= (UIInfo)o;
            if(!(this._object.equals(uIInfo._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(uIInfo._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // UIInfo

