//Source file: UIManagerListener.java
//Date: June 2005
//User Interaction Interfaces for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * This interface is to be implemented for receiving events issued by the UIManager service object.<BR>
 *
 */
public interface UIManagerListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the userInteractionAborted() method on 
    * the callback interface.
    *
    * @param  userInteractionAbortedEvent  Reference to a UserInteractionAbortedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onUserInteractionAbortedEvent(org.csapi.jr.se.ui.UserInteractionAbortedEvent userInteractionAbortedEvent);


   /**
    * Called due to a Gateway initiated call to the userInteractionNotificationInterrupted() method on 
    * the callback interface.
    *
    * @param  userInteractionNotificationInterruptedEvent  Reference to a UserInteractionNotificationInterruptedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onUserInteractionNotificationInterruptedEvent(org.csapi.jr.se.ui.UserInteractionNotificationInterruptedEvent userInteractionNotificationInterruptedEvent);


   /**
    * Called due to a Gateway initiated call to the userInteractionNotificationContinued() method on 
    * the callback interface.
    *
    * @param  userInteractionNotificationContinuedEvent  Reference to a UserInteractionNotificationContinuedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onUserInteractionNotificationContinuedEvent(org.csapi.jr.se.ui.UserInteractionNotificationContinuedEvent userInteractionNotificationContinuedEvent);



   /**
    * Called due to a Gateway initiated call to the abortMultipleUserInteractions() method on 
    * the callback interface.
    *
    * @param  abortMultipleUserInteractionsEvent  Reference to a AbortMultipleUserInteractionsEvent event 
    *        emmited from the impl or activity object. 
    */
    void onAbortMultipleUserInteractionsEvent(org.csapi.jr.se.ui.AbortMultipleUserInteractionsEvent abortMultipleUserInteractionsEvent);

}

