//Source file: UISynthesisAge.java
//Date: June 2005
//User Interaction Data Types for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * Defines the UI reports if a response was requested.
 *
 */
public final class UISynthesisAge implements java.io.Serializable {

    private int _value;
    private static int _size = 4;
    private static UISynthesisAge[] _array = new UISynthesisAge[_size];

    /**
     * Private constructor used internally to construct static objects 
     */
    private UISynthesisAge(int value) {
        _value = value;
        _array[_value] = this;
    }

    /**
     * child voice
     */
    public static final int _UI_AGE_CHILD =  0;

    /**
     * child voice
     */
    public static final UISynthesisAge UI_AGE_CHILD = new UISynthesisAge(_UI_AGE_CHILD);

    /**
     * Young adults voice
     */
    public static final int _UI_AGE_YOUNG_ADULT =  1;

    /**
     * Young adults voice
     */
    public static final UISynthesisAge UI_AGE_YOUNG_ADULT = new UISynthesisAge(_UI_AGE_YOUNG_ADULT);

    /**
     * Adult voice
     */
    public static final int _UI_AGE_ADULT =  2;

    /**
     * Adult voice
     */
    public static final UISynthesisAge UI_AGE_ADULT = new UISynthesisAge(_UI_AGE_ADULT);

    /**
     * Older adult voice
     */
    public static final int _UI_AGE_OLDER_ADULT =  3;

    /**
     * Older adult voice
     */
    public static final UISynthesisAge UI_AGE_OLDER_ADULT = new UISynthesisAge(_UI_AGE_OLDER_ADULT);


    /**
     * Method allows class to replace/resolve the object read from the stream before it 
     * is returned to the caller. By implementing this method, a class can directly control
     * the types and instances of its own instances being deserialized.
     *
     * @return the resolved UISynthesisAge object 
     */
    private Object readResolve() throws java.io.ObjectStreamException {
        return _array[_value];
    }

    /**
     * Number representing enum type
     *
     * @return int number representing type of object, this is defined within the class
     */
    public int getValue() {
        return _value;
    }

    /**
     * getValueText method, overrides the getValueText() method in class java.lang.Object
     *
     * @return String  The stringified version of the UISynthesisAge object
     */
    public String getValueText() {
        switch (_value) {
            case _UI_AGE_CHILD:
                return "UI_AGE_CHILD";
            case _UI_AGE_YOUNG_ADULT:
                return "UI_AGE_YOUNG_ADULT";
            case _UI_AGE_ADULT:
                return "UI_AGE_ADULT";
            case _UI_AGE_OLDER_ADULT:
                return "UI_AGE_OLDER_ADULT";
            default:
                return "ERROR";
        }
    }

    /**
     * Accepts values in the range of 0 to 3
     *
     * @param value number representing type of object, this is defined within the class
     * @throws org.csapi.jr.se.InvalidEnumValueException thrown if invalid value is passed into method
     */
    public static UISynthesisAge getObject(int value) throws org.csapi.jr.se.InvalidEnumValueException {
        if(value >= 0 && value < _size) {
            return _array[value];
        } else {
            throw new org.csapi.jr.se.InvalidEnumValueException("value [" + value +" ] out of range");
        }
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof UISynthesisAge)) {
            return false;
        }
        UISynthesisAge uISynthesisAge = (UISynthesisAge) o; 
        if(!(this.getValue() == uISynthesisAge.getValue())) {
            return false;
        }
        if (this.hashCode() != uISynthesisAge.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // UISynthesisAge

