//Source file: UIWordOverride.java
//Date: June 2005
//User Interaction Data Types for 3GPP TS 29.198-05 V6.4.0

package org.csapi.jr.se.ui;

/**
 * Defines the Sequence of Data Elements that specify the information to use in overriding the default pronunciation of a word.
 * 
 */
public final class UIWordOverride implements java.io.Serializable {

    private String spelling;
    private org.csapi.jr.se.ui.UIPronounceType pronounceType;
    private String pronounceAs;

    /**
     * Creates a new UIWordOverride instance.
     */
    public UIWordOverride () {}

    /**
     * Creates a new UIWordOverride instance.
     * @param _spelling   Defines the spelling of the word override
     * @param _pronounceType   Defines the type of pronunciation syntax.
     * @param _pronounceAs   Defines how the spelling field should be pronounced.
     */
    public UIWordOverride (String _spelling, org.csapi.jr.se.ui.UIPronounceType _pronounceType, String _pronounceAs) {

        this.spelling = _spelling;
        this.pronounceType = _pronounceType;
        this.pronounceAs = _pronounceAs;
    }

    /**
     * This method returns a spelling.
     * 
     * @return a String value
     */
    public String getSpelling() {
        return spelling;
    }

    /**
     * This method returns a pronounceType.
     * 
     * @return a org.csapi.jr.se.ui.UIPronounceType value
     */
    public org.csapi.jr.se.ui.UIPronounceType getPronounceType() {
        return pronounceType;
    }

    /**
     * This method returns a pronounceAs.
     * 
     * @return a String value
     */
    public String getPronounceAs() {
        return pronounceAs;
    }


    /**
     * This method sets a spelling.
     */ 
    public void setSpelling(String spelling) {
        this.spelling = spelling;
    }

    /**
     * This method sets a pronounceType.
     */ 
    public void setPronounceType(org.csapi.jr.se.ui.UIPronounceType pronounceType) {
        this.pronounceType = pronounceType;
    }

    /**
     * This method sets a pronounceAs.
     */ 
    public void setPronounceAs(String pronounceAs) {
        this.pronounceAs = pronounceAs;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof UIWordOverride)) {
            return false;
        } 
        UIWordOverride uIWordOverride = (UIWordOverride) o;
        if ((this.spelling != null) && (uIWordOverride.spelling != null)) {
            if(!(this.spelling.equals(uIWordOverride.spelling)))  {
                return false;
            }
        }
        if ((this.pronounceType != null) && (uIWordOverride.pronounceType != null)) {
            if(!(this.pronounceType.equals(uIWordOverride.pronounceType))) {
                return false;
            }
        }
        if ((this.pronounceAs != null) && (uIWordOverride.pronounceAs != null)) {
            if(!(this.pronounceAs.equals(uIWordOverride.pronounceAs)))  {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // UIWordOverride

